%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python_version: %global python_version %(%{__python} -c "from distutils.sysconfig import get_python_version; print(get_python_version())")}

Name: libtdb
Version: 1.2.10
Release: 1%{?dist}
Group: System Environment/Daemons
Summary: The tdb library
License: LGPLv3+
URL: http://tdb.samba.org/
Source: http://samba.org/ftp/tdb/tdb-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: autoconf
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: python-devel

# Patches

%description
A library that implements a trivial database.

%package devel
Group: Development/Libraries
Summary: Header files need to link the Tdb library
Requires: libtdb = %{version}-%{release}
Requires: pkgconfig

%description devel
Header files needed to develop programs that link against the Tdb library.

%package -n tdb-tools
Group: Development/Libraries
Summary: Developer tools for the Tdb library
Requires: libtdb = %{version}-%{release}
License: GPLv3+

%description -n tdb-tools
Tools to manage Tdb files


%package -n python-tdb
Group: Development/Libraries
Summary: Python bindings for the Tdb library
Requires: libtdb = %{version}-%{release}

%description -n python-tdb
Python bindings for libtdb


%prep
%setup -q -n tdb-%{version}

%build
%configure --disable-rpath \
           --bundled-libraries=NONE \
           --builtin-libraries=replace

make %{?_smp_mflags} V=1

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT%{_libdir}

rm -f $RPM_BUILD_ROOT%{_libdir}/libtdb.a

# Rename tools to include 12 suffix to avoid conflicting with the samba package
mv $RPM_BUILD_ROOT%{_bindir}/tdbbackup $RPM_BUILD_ROOT%{_bindir}/tdbbackup12
mv $RPM_BUILD_ROOT%{_bindir}/tdbdump $RPM_BUILD_ROOT%{_bindir}/tdbdump12
mv $RPM_BUILD_ROOT%{_bindir}/tdbtool $RPM_BUILD_ROOT%{_bindir}/tdbtool12
mv $RPM_BUILD_ROOT%{_bindir}/tdbrestore $RPM_BUILD_ROOT%{_bindir}/tdbrestore12


# Rename manpages to include 12 suffix
mv $RPM_BUILD_ROOT%{_mandir}/man8/tdbbackup.8 $RPM_BUILD_ROOT%{_mandir}/man8/tdbbackup12.8
mv $RPM_BUILD_ROOT%{_mandir}/man8/tdbdump.8 $RPM_BUILD_ROOT%{_mandir}/man8/tdbdump12.8
mv $RPM_BUILD_ROOT%{_mandir}/man8/tdbtool.8 $RPM_BUILD_ROOT%{_mandir}/man8/tdbtool12.8
mv $RPM_BUILD_ROOT%{_mandir}/man8/tdbrestore.8 $RPM_BUILD_ROOT%{_mandir}/man8/tdbrestore12.8


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libtdb.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/tdb.h
%{_libdir}/libtdb.so
%{_libdir}/pkgconfig/tdb.pc
%doc docs/README
%doc docs/tracing.txt

%files -n tdb-tools
%defattr(-,root,root,-)
%{_bindir}/tdbbackup12
%{_bindir}/tdbdump12
%{_bindir}/tdbtool12
%{_bindir}/tdbrestore12
%{_mandir}/man8/tdbbackup12.8*
%{_mandir}/man8/tdbdump12.8*
%{_mandir}/man8/tdbtool12.8*
%{_mandir}/man8/tdbrestore12.8*
%doc docs/

%files -n python-tdb
%defattr(-,root,root,-)
%{python_sitearch}/tdb.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n python-tdb -p /sbin/ldconfig

%postun -n python-tdb -p /sbin/ldconfig

%changelog
* Thu Jul 05 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.10-1
- Rebase to version 1.2.10 to support new samba 3.6.6
- Resolves: rhbz#837865 - Rebase libtdb to version 1.2.10 in RHEL 5.9

* Fri Apr 20 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-7
- Resolves: rhbz#736112 - tdb-tools subpackage conflicts with samba

* Tue Apr 12 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-6
- Resolves: rhbz#693785 - tdb_extend() can cause a memory-usage explosion if
-                         the size of its entries are very large

* Thu Aug 05 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-5
- Initial release for RHEL5
- Add documentation

* Wed Feb 24 2010 Simo Sorce <ssorce@redhat.com> - 1.2.1-1
- New upstream bugfix release
- Package manpages too

* Tue Feb 23 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.0-2
- Add README and tracing.txt
- Fix rpmlint errors

* Tue Dec 15 2009 Simo Sorce <ssorce@redhat.com> - 1.2.0-1
- New upstream release

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Simo Sorce <ssorce@redhat.com> - 1.1.5-1
- Original tarballs had a screw-up, rebuild with new fixed tarballs from
  upstream.

* Tue Jun 16 2009 Simo Sorce <ssorce@redhat.com> - 1.1.5-0
- New upstream release

* Wed May 6 2009 Simo Sorce <ssorce@redhat.com> - 1.1.3-15
- First public independent release from upstream
